Name: gdbm
Version: 1.18.1
Release: 1
License: GPL-3.0-or-later
Summary: Library of functions implementing a hashed database on a disk file
Url: https://www.gnu.org.ua/software/gdbm/gdbm.html

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: gettext-tools
BuildRequires: libutil-devel >= 0.6.1

Source0: ftp://ftp.gnu.org/gnu/gdbm/gdbm-%{version}.tar.gz

%description
GNU dbm (or GDBM, for short) is a library of database functions that use 
extensible hashing and work similar to the standard UNIX dbm. These routines
are provided to a programmer needing to create and manipulate a hashed database.

The basic use of GDBM is to store key/data pairs in a data file. Each key 
must be unique and each key is paired with only one data item.

%package -n libgdbm6
Summary: Library for GNU dbm database functions

%description -n libgdbm6
Library for GNU dbm database functions

%package devel
Summary: GNU dbm development files
Requires: %{name} = %{version}-%{release}
Requires: libgdbm6 = %{version}-%{release}

%description devel
GNU dbm development files


%prep
%setup -q

%build

autoreconf -fi

%configure \
  CFLAGS='-pthread' \
  LDFLAGS='-pthread -Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib' \
  --with-aix-soname=svr4 \
  --disable-static 

%make_build

%install

%make_install

rm %{buildroot}%{_libdir}/libgdbm.la

%files
%defattr(-, qsys, *none)

%{_bindir}/gdbm_load
%{_bindir}/gdbm_dump
%{_bindir}/gdbmtool

%license COPYING
%doc AUTHORS
%doc NEWS
%doc NOTE-WARNING
%doc README

%{_mandir}/man1/gdbm_dump.1
%{_mandir}/man1/gdbm_load.1
%{_mandir}/man1/gdbmtool.1

%files -n libgdbm6
%defattr(-, qsys, *none)

%{_libdir}/libgdbm.so.6

%license COPYING

%files devel
%defattr(-, qsys, *none)

%{_includedir}/gdbm.h

%{_libdir}/libgdbm.so

%{_infodir}/gdbm.info

%{_mandir}/man3/gdbm.3

%changelog
* Fri Mar 27 2020 Eric Simpson <esimpson@ca.ibm.com>
- initial build for IBM i


